SalesforceRestClient Namespace Reference

the SalesforceRestClient namespace contains all the objects in the SalesforceRestClient module More...

## Classes

class | SalesforceRestClient
| this class provides the REST client API for communication with Salesforce.com More...
class | SalesforceRestConnection
| class for Salesforce.com REST connections; returns SalesforceRestClient::SalesforceRestClient objects More...

## Variables

const | BulkJobContentTypes = ...
| a hash of Salesforce.com bulk job content types; keys are Salesforce.com Bulk REST API Job Content Types; values are Mime `Content-Type` strings More...
const | BulkJobCsv = "CSV"
| Salesforce.com bulk job "CSV" content type.
const | BulkJobDelete = "delete"
| Salesforce.com bulk job "delete" operation.
const | BulkJobInsert = "insert"
| Salesforce.com bulk job "insert" operation.
const | BulkJobJson = "JSON"
| Salesforce.com bulk job "JSON" content type.
const | BulkJobOperations = ...
| a hash of Salesforce.com bulk job operations; keys are Salesforce.com Bulk REST API Job Operations More...
const | BulkJobQuery = "query"
| Salesforce.com bulk job "query" operation.
const | BulkJobUpdate = "update"
| Salesforce.com bulk job "update" operation.
const | BulkJobUpsert = "upsert"
| Salesforce.com bulk job "upsert" operation.
const | BulkJobXml = "XML"
| Salesforce.com bulk job "XML" content type.
const | BulkJobZipCsv = "ZIP_CSV"
| Salesforce.com bulk job "ZIP_CSV" content type.
const | BulkJobZipJson = "ZIP_JSON"
| Salesforce.com bulk job "ZIP_JSON" content type.
const | BulkJobZipXml = "ZIP_XML"
| Salesforce.com bulk job "ZIP_XML" content type.

## Detailed Description

the SalesforceRestClient namespace contains all the objects in the SalesforceRestClient module

## Variable Documentation

## BulkJobContentTypes

const SalesforceRestClient::BulkJobContentTypes = ...

a hash of Salesforce.com bulk job content types; keys are Salesforce.com Bulk REST API Job Content Types; values are Mime `Content-Type` strings

valid content types are:

- `BulkJobCsv` (`"CSV"`)
- `BulkJobJson` (`"JSON"`)
- `BulkJobXml` (`"XML"`)
- `BulkJobZipCsv` (`"ZIP_CSV"`)
- `BulkJobZipJson` (`"ZIP_JSON"`)
- `BulkJobZipXml` (`"ZIP_XML"`)

## BulkJobOperations

const SalesforceRestClient::BulkJobOperations = ...

a hash of Salesforce.com bulk job operations; keys are Salesforce.com Bulk REST API Job Operations

valid operations are:

- BulkJobQuery (`"query"`)
- BulkJobInsert (`"insert"`)
- BulkJobUpdate (`"update"`)
- BulkJobUpsert (`"upsert"`)
- BulkJobDelete (`"delete"`)